<?php

namespace FiloBlu\ExtMagentoSalesRule\Plugin\Rule\Metadata;

use Magento\SalesRule\Model\Rule\Metadata\ValueProvider as SalesRuleValueProvider;

/**
 * Class ValueProvider
 * @package FiloBlu\ExtMagentoSalesRule\Plugin\Rule\Metadata
 */
class ValueProvider
{
    /**
     * @param SalesRuleValueProvider $subject
     * @param $result
     * @return mixed
     */
    public function afterGetMetadataValues(SalesRuleValueProvider $subject, $result)
    {
        $applyOptions = [
            'label' => __('FiloBlu'),
            'value' => [
                [
                    'label' => 'Percent of product discount - On full product price ',
                    'value' => 'by_percent_full_price',
                ]
            ]
         ];
        $result['actions']['children']['simple_action']['arguments']['data']['config']['options'][] = $applyOptions;
        return $result;

    }
}
